​

Update record

PATCH
https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/records/{record_id}

Updates record values and/or condition. Use `response_profile` query param to control the response size.

Path parameters
NameTypeReference
directory_idrequiredstringDirectory ID
record_idrequiredstringRecord ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
condition
enum
[active,inactive,removed]

Custom directory record condition

values
object

Values map where keys are custom directory field IDs. Each value is either an object (single-value) or an array of objects (multi-select).

Query
NameTypeConstraintsDescription
response_profilestringnone | summary | details | fullControls response size. Use `none` to return `{ id }` only.
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string

Record ID (UUID)
display_value

null | string

Pre-computed record display value
values

array of objects

Field values (included depending on response_profile)
author

object

Author user object
updater

object

Updater user object
400
DescriptionResponse typeExample
Validation errorObject
Open

A schema has not been defined for this response code.

401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundObject
Open

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/records/{record_id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!